summaryrefslogtreecommitdiffstats
path: root/development/Archi
diff options
context:
space:
mode:
Diffstat (limited to 'development/Archi')
-rw-r--r--development/Archi/Archi.SlackBuild85
-rw-r--r--development/Archi/Archi.info10
-rw-r--r--development/Archi/README13
-rw-r--r--development/Archi/doinst.sh3
-rw-r--r--development/Archi/slack-desc19
5 files changed, 130 insertions, 0 deletions
diff --git a/development/Archi/Archi.SlackBuild b/development/Archi/Archi.SlackBuild
new file mode 100644
index 0000000000..6f7f565d77
--- /dev/null
+++ b/development/Archi/Archi.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/bash
+#
+# Slackware build script for Archi
+# Written by Joielechong (juansspy@gmail.com)
+# This script is just a binary repackaging.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=Archi
+ARCNAM=Archi-Linux64
+VERSION=${VERSION:-5.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+ARCH=${ARCH:-x86_64}
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/opt/ $OUTPUT
+cd $PKG/opt/
+tar xvf $CWD/$ARCNAM-$VERSION.tgz
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+
+mkdir -p $PKG/usr/share/applications
+cat << EOF > $PKG/usr/share/applications/$PRGNAM.desktop
+[Desktop Entry]
+Version=1.0
+Type=Application
+Path=/opt/$PRGNAM
+Exec=/opt/$PRGNAM/$PRGNAM %f
+Name=Archimate Modelling
+GenericName=Archi
+Comment=
+Icon=/opt/$PRGNAM/icon.xpm
+StartupNotify=true
+Categories=Development;IDE;
+Terminal=false
+EOF
+
+install -D -m 0644 $PKG/opt/$PRGNAM/icon.xpm \
+ $PKG/usr/share/pixmaps/$PRGNAM.xpm
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/Archi/Archi.info b/development/Archi/Archi.info
new file mode 100644
index 0000000000..c15420a635
--- /dev/null
+++ b/development/Archi/Archi.info
@@ -0,0 +1,10 @@
+PRGNAM="Archi"
+VERSION="5.3.0"
+HOMEPAGE="https://archimatetool.com"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://www.archimatetool.com/downloads/archi/5.3.0/Archi-Linux64-5.3.0.tgz"
+MD5SUM_x86_64="21f8b7b90a0dae6f5c17074aec514786"
+REQUIRES=""
+MAINTAINER="joielechong"
+EMAIL="juansspy@gmail.com"
diff --git a/development/Archi/README b/development/Archi/README
new file mode 100644
index 0000000000..9dd24a0832
--- /dev/null
+++ b/development/Archi/README
@@ -0,0 +1,13 @@
+Archi (Archimate Modelling)
+
+The Open Source modelling toolkit for creating ArchiMate models and
+sketches.
+Used by Enterprise Architects everywhere.
+
+The Archi® modelling toolkit is targeted toward all levels of
+Enterprise Architects and Modellers. It provides a low cost to entry
+solution to users who may be making their first steps in the ArchiMate
+modelling language, or who are looking for an open source,
+cross-platform ArchiMate modelling tool for their company or
+institution and wish to engage with the language within a TOGAF® or
+other Enterprise Architecture framework.
diff --git a/development/Archi/doinst.sh b/development/Archi/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/Archi/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/Archi/slack-desc b/development/Archi/slack-desc
new file mode 100644
index 0000000000..b069b42644
--- /dev/null
+++ b/development/Archi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+Archi: Archi (Archimate Modelling)
+Archi: The Open Source modelling toolkit for creating ArchiMate models and
+Archi: sketches.
+Archi: Used by Enterprise Architects everywhere.
+Archi:
+Archi:
+Archi:
+Archi:
+Archi:
+Archi:
+Archi: